VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Folder::Summary Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Folder::Summary:

## Avaliable Methods
public method | get_folder ()
public method | set_folder ()
public method | set_type ()
public method | get_type ()
public method | set_name ()
public method | new ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Vcenter::Folder::Summary` class contains commonly used information about a folder.

## Member Function Documentation

public method Com::Vmware::Vcenter::Folder::Summary::get_folder | ( |  | ) |

Gets the value of 'folder' property.

Return values

  folder | - The current value of the field. Identifier of the folder. ID#

Code:
click to view
# Number of lines of code in get_folder: 4
sub get_folder {
my ($self, %args) = @_;
return $self->{'folder'};
}

public method Com::Vmware::Vcenter::Folder::Summary::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the vCenter Server folder. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Folder::Summary::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type (DATACENTER, DATASTORE, HOST, NETWORK, VIRTUAL_MACHINE) of the vCenter Server folder. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Folder::Summary::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Folder::Summary structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{folder} = $args{'folder'};
$self->{name} = $args{'name'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Folder::Summary');
$self->set_binding_name('name' => 'com.vmware.vcenter.folder.summary');
$self->set_binding_field('key' => 'folder', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter', 'type_name' => 'Folder::Type'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Folder::Summary::set_folder | ( |  | ) |

Sets the given value for 'folder' property.

Parameters

  folder | - New value for the field. Identifier of the folder.

Code:
click to view
# Number of lines of code in set_folder: 5
sub set_folder {
my ($self, %args) = @_;
$self->{'folder'} = $args{'folder'};
return;
}

public method Com::Vmware::Vcenter::Folder::Summary::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the vCenter Server folder.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Folder::Summary::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type (DATACENTER, DATASTORE, HOST, NETWORK, VIRTUAL_MACHINE) of the vCenter Server folder.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Folder.pm